loci.formats.codec

## Class HuffmanCodec

- java.lang.Object
- - loci.formats.codec.BaseCodec
  - - loci.formats.codec.WrappedCodec
    - - loci.formats.codec.HuffmanCodec

- All Implemented Interfaces:
    Codec

      public class HuffmanCodec
      extends WrappedCodec

  This class implements Huffman decoding.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    - ### Fields inherited from class loci.formats.codec.WrappedCodec

      `codec`

    - ### Fields inherited from class loci.formats.codec.BaseCodec

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HuffmanCodec()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSample(BitBuffer bb, CodecOptions options)` Deprecated.
    `int` | `getSample(loci.common.RandomAccessInputStream bb, CodecOptions options)`

    - ### Methods inherited from class loci.formats.codec.WrappedCodec

      `compress, compress, decompress, decompress, decompress, decompress, decompress, getOptions, unwrapCodecException`

    - ### Methods inherited from class loci.formats.codec.BaseCodec

      `test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HuffmanCodec

          public HuffmanCodec()

  - ### Method Detail

    - #### getSample

          @Deprecated
          public int getSample(BitBuffer bb,
                                           CodecOptions options)
                                    throws FormatException

      Deprecated.
      Throws:
        `FormatException`

    - #### getSample

          public int getSample(loci.common.RandomAccessInputStream bb,
                               CodecOptions options)
                        throws FormatException

      Throws:
        `FormatException`

Copyright © 2026 Open Microscopy Environment